%define prefix /usr
%define name xawtv
%define version 3.12
%define release 1mdk


Summary: Video4Linux Stream Capture Viewer
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Group: Video
Copyright: GPL
URL: http://www.in-berlin.de/User/kraxel/v4l/xawtv-%{version}.tar.gz
BuildRoot: /var/tmp/xawtv-%{version}.root
#Requires: lirc
Packager: J. Nick Koston <bdraco@darkorb.net>

%package radio
Summary: radio
Group: Sound

%package misc
Summary: misc
Group: Video

%description
A collection tools for video4linux:
 * xawtv    - X11 TV application
 * fbtv     - console TV application
 * streamer - capture tool (images / movies)
 * v4lctl   - command line tool to control v4l devices

%description radio
This is a ncurses-based radio application

%description misc
This package has a few tools you might find useful.  They
have not to do very much to do with xawtv.  I've used/wrote
them for debugging:
 * propwatch   - monitors properties of X11 windows.  If you
                 want to know how to keep track of xawtv's
                 _XAWTV_STATION property, look at this.
 * dump-mixers - dump mixer settings to stdout
 * record      - console sound recorder.  Has a simple input
                 level meter which might be useful to trouble
                 shoot sound problems.
 * showriff    - display the structure of RIFF files (avi, wav).

%prep

%setup

%build
mkdir build
cd build
CFLAGS="$RPM_OPT_FLAGS" ../configure --prefix=%{prefix}
make

%install
cd build
CFLAGS="$RPM_OPT_FLAGS" make ROOT="$RPM_BUILD_ROOT" SUID_ROOT="" install
find $RPM_BUILD_ROOT/%{prefix}/man -type f -exec bzip2 -9f {} \;

%files
%attr(4711,root,root) /usr/bin/v4l-conf
%defattr(-,root,root)
/usr/bin/fbtv
/usr/bin/streamer
/usr/bin/xawtv-remote
/usr/bin/xawtv
/usr/bin/v4lctl
/usr/man/man1/fbtv.1.bz2
/usr/man/man1/v4l-conf.1.bz2
/usr/man/man1/v4lctl.1.bz2
/usr/man/man1/xawtv-remote.1.bz2
/usr/man/man1/xawtv.1.bz2
%doc README Changes COPYING Programming-FAQ Trouble-Shooting Sound-FAQ
%doc README.lirc README.bttv UPDATE_TO_v3.0
%doc contrib/dot.lircrc contrib/frequencies*

%files radio
%defattr(-,root,root)
/usr/bin/radio
/usr/man/man1/radio.1.bz2

%files misc
%defattr(-,root,root)
/usr/bin/dump-mixers
/usr/bin/propwatch
/usr/bin/record
/usr/bin/showriff
/usr/man/man1/propwatch.1.bz2
%doc tools/README

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd /usr/X11R6/lib/X11/fonts/misc
mkfontdir
xset fp rehash || true

%changelog
* Tue Apr 18 2000 J. Nick Koston <bdraco@darkorb.net> 3.12-1mdk
- Madrakeified

